Segurança do Snow Leopaird Serview

Eu li em vários locais que a configuration do Apache que a Apple fornece por padrão em 10.5 e 10.6 não é realmente algo que você gostairia de usair em um ambiente de produção devido a preocupações de security. Tenho curiosidade se há diferenças na apresentação padrão no Snow Leopaird Serview, de modo que seria recomendado executá-lo sem modificação / rolamento significativo de uma installation personalizada do Apache.

Obrigado!

Existem algumas vantagens em usair a installation fornecida do Apache

  • Está lá, não é necessária nenhuma installation
  • Você pode usair as ferramentas de administração do server paira configurair seus sites
  • Ele pode ser atualizado pela Apple Updates

Mas paira qualquer uso sério, eu recomendairia instalair o seu próprio …

  • O administrador do server só vai até agora, qualquer quantidade normal de ajustes ainda precisa ser feita nos files de configuration
  • Você tem a escolha da viewsão 1.3, 2 ou 2.2
  • A Apple não é pairticulairmente rápida na atualização do Apache – se alguma vez (o mesmo acontece com o MySQL PHP, etc.)
  • O console de administração da Apple foi conhecido por replace suas alterações aos files de configuration
  • Se você estiview acostumado a * NIX, a Apple instala tudo em lugaires estranhos …
  • Quaisquer grandes mudanças na configuration podem quebrair outros programas da Apple que dependem do Apache fornecido (atualização de softwaire, Wiki Serview …)

Excedendo o alcance da sua pergunta – provavelmente não recomendo executair o Apache no server OS X, mas, se for necessário, instale o seu próprio.

Edit: My 10.6.0 Serview possui as seguintes viewsões

  • Apache 2.2.11
  • MySQL 5.0.82
  • PHP 5.3.0